%define major		0
%define	docname		ngspice-doc
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Mixed Mode - Mixed Level Circuit Simulator Based On Berkley's spice3f5
Name:		ngspice
Version:	33
Release:	%mkrel 1
License:	GPL and GPLv2 and LGPLv2 and BSD
Group:		System/Libraries
Url:		http://ngspice.sourceforge.net/index.html
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1:	http://downloads.sourceforge.net/%{name}/%{docname}-%{version}.tar.gz

BuildRequires:	xaw-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(readline)

%description
Ngspice is a mixed-level/mixed-signal circuit simulator. Its code is based on
three open source software packages: Spice3f5, Cider1b1 and Xspice. It is the
open source successor of these venerable packages. Many, many modifications,
bug fixes and improvements have been added to the code, yielding a stable and
reliable simulator. Therefore, besides being used as a standalone simulator,
Ngspice has been incorporated into many projects, see our simulation
environments page.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Obsoletes:	%{_lib}ngspice30_0 < 31-4

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}%{major}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}ngspice-static-devel < 31-4

%description -n %{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -q -a 1

%build
# Cannot enable CIDER and adms due to there licences
# see https://sourceforge.net/p/ngspice/ngspice/ci/master/tree/COPYING
%configure \
	--with-ngshared \
	--enable-xspice \
	--with-readline=yes \
	--disable-cider \
	--disable-adms \
	--disable-debug
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%{_bindir}/*
%{_mandir}/man1/*
%dir %{_datadir}/ngspice
%{_datadir}/ngspice/scripts/
%{_datadir}/ngspice/dlmain.c

%files -n %{libname}
%{_libdir}/libngspice.so.%{major}{,.*}
%{_libdir}/ngspice/*

%files -n %{develname}
%{_libdir}/libngspice.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*


%changelog
* Wed Nov 04 2020 daviddavid <daviddavid> 33-1.mga8
+ Revision: 1642653
- new version: 33
- fix owner of data dir

* Sun Sep 13 2020 wally <wally> 32-1.mga8
+ Revision: 1625963
- new version 32
- fix lib pkg name
- drop static devel pkg containing only .la file
- fix description

* Wed Feb 19 2020 umeabot <umeabot> 31-3.mga8
+ Revision: 1542725
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 06 2020 luigiwalser <luigiwalser> 31-2.mga8
+ Revision: 1476813
- rebuild for readline

* Mon Sep 30 2019 zezinho <zezinho> 31-1.mga8
+ Revision: 1448247
- new version 31

* Mon Mar 25 2019 zezinho <zezinho> 30-1.mga7
+ Revision: 1380175
- new version 30

* Sun Sep 23 2018 umeabot <umeabot> 27-2.mga7
+ Revision: 1299742
- Mageia 7 Mass Rebuild

* Tue Apr 03 2018 zezinho <zezinho> 27-1.mga7
+ Revision: 1215004
- explicitly disable  CIDER and adms to ensure they never get enabled with a new upstream default
- imported package ngspice


* Thu Mar 22 2018 Adrien Guichard <guichard.adrien@gmail.com> 27-1.mga7
- Initial Import
